Get LinkedIn company
curl --request GET \
--url https://app.leonar.app/api/v1/sourcing/linkedin/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.leonar.app/api/v1/sourcing/linkedin/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.leonar.app/api/v1/sourcing/linkedin/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"public_identifier": "<string>",
"profile_url": "<string>",
"description": "<string>",
"website": "<string>",
"logo": "<string>",
"logo_large": "<string>",
"industry": [
"<string>"
],
"employee_count_range": {
"from": 123,
"to": 123
},
"locations": [
{
"city": "<string>",
"country": "<string>",
"area": "<string>",
"postalCode": "<string>",
"is_headquarter": true
}
],
"follower_count": 123,
"specialties": [
"<string>"
],
"founded_year": 123,
"company_type": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "Invalid input"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}Sourcing
Get LinkedIn company
Fetch full details of a LinkedIn company profile via a connected account.
GET
/
sourcing
/
linkedin
/
company
Get LinkedIn company
Authorizations
API key starting with leo_
Query Parameters
Connected LinkedIn account ID
Company slug (e.g. "google") or numeric company ID
Response
LinkedIn company details
Full LinkedIn company profile returned by the company endpoint
Show child attributes
Show child attributes
⌘I